NodeJs
const { FedaPay, Webhook } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* Show webhooks */
const webhook = await Webhook.all( params = {}, headers = {} );\FedaPay\Fedapay::setApiKey(MY_API_KEY);
/**
* @var \FedaPay\FedaPayObject
*/
$response = \FedaPay\Webhook::all();
$webhooks = $response->webhooks;
$meta = $response->meta;require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
webhooks = FedaPay::Webhook.list;curl --request GET \
--url https://sandbox-api.fedapay.com/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/webhooks")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"url": "<string>",
"enabled": true,
"ssl_verify": true,
"disable_on_error": true,
"account_id": 123,
"http_headers": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Webhooks
Get all webhooks
GET
/
webhooks
NodeJs
const { FedaPay, Webhook } = require('fedapay');
/* Replace YOUR_SECRETE_API_KEY with your real API key */
FedaPay.setApiKey("YOUR_SECRETE_API_KEY");
/* Specify whether you want to run your query in test or live mode */
FedaPay.setEnvironment('sandbox'); //or setEnvironment('live');
/* Show webhooks */
const webhook = await Webhook.all( params = {}, headers = {} );\FedaPay\Fedapay::setApiKey(MY_API_KEY);
/**
* @var \FedaPay\FedaPayObject
*/
$response = \FedaPay\Webhook::all();
$webhooks = $response->webhooks;
$meta = $response->meta;require 'fedapay';
# configure FedaPay library
FedaPay.api_key = '' # Your secret api key
FedaPay.environment = '' # sandbox or live
webhooks = FedaPay::Webhook.list;curl --request GET \
--url https://sandbox-api.fedapay.com/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.fedapay.com/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.fedapay.com/v1/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.fedapay.com/v1/webhooks")
.header("Authorization", "Bearer <token>")
.asString();[
{
"id": 123,
"url": "<string>",
"enabled": true,
"ssl_verify": true,
"disable_on_error": true,
"account_id": 123,
"http_headers": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Réponse
List of webhook
Webhook ID.
URL of the request.
Indicates whether the webhook is active.
Indicates whether SSL verification is enabled for the webhook.
the webhook will be disabled after encountering an error.
ID of the webhook account
Indicates whether custom HTTP headers are used
Date and time of webhook creation
Date and time of last webhook update

